Creates an ordered list of actions to be taken when a condition is met.
Security
AdministrationAccess or ClientAccess
- Dynamic Monetization API URLhttps://siteID.flexnetoperations.com/dynamicmonetization/api/v1.1/instances/{instanceId}/line-items/{lineItemId}/actions
curl -i -X POST \
'https://siteID.flexnetoperations.com/dynamicmonetization/api/v1.1/instances/{instanceId}/line-items/{lineItemId}/actions' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"actions": [
{
"name": "string",
"conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693",
"action": "ALLOW",
"allocation": 1000
}
]
}'A list of actions that were created.
Array []
A human readable name to help a user identify the action. The same name may be re-used in other line items.
The unique identifier of the condition that triggers this action.
Required, unless defining a default action. Only one default action may be defined per line item.
The maximum number of tokens that may be consumed from the stated line item by requests satisfying the condition.
Required for ALLOW, but may be omitted at most once per line item to create a default ALLOW action. Not used for DENY.
Example:1000
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693", "action": "ALLOW", "allocation": 1000, "used": 0.1 } ]